## CamelMaildirMessageInfo

CamelMaildirMessageInfo

## Functions

const gchar * | camel_maildir_message_info_get_filename ()
gchar * | camel_maildir_message_info_dup_filename ()
gboolean | camel_maildir_message_info_set_filename ()
gboolean | camel_maildir_message_info_take_filename ()

## Properties

char * | filename | Read / Write

## Object Hierarchy

        GObject
        ╰── CamelMessageInfo
            ╰── CamelMessageInfoBase
                ╰── CamelMaildirMessageInfo

## Description

## Functions

### camel_maildir_message_info_get_filename ()

    const gchar *
    camel_maildir_message_info_get_filename
                                   (const CamelMaildirMessageInfo *mmi);

### camel_maildir_message_info_dup_filename ()

    gchar *
    camel_maildir_message_info_dup_filename
                                   (const CamelMaildirMessageInfo *mmi);

### camel_maildir_message_info_set_filename ()

    gboolean
    camel_maildir_message_info_set_filename
                                   (CamelMaildirMessageInfo *mmi,
                                    const gchar *filename);

### camel_maildir_message_info_take_filename ()

    gboolean
    camel_maildir_message_info_take_filename
                                   (CamelMaildirMessageInfo *mmi,
                                    gchar *filename);

## Property Details

### The `“filename”` property

      “filename”                 char *

File name of the message on the disk.

Owner: CamelMaildirMessageInfo

Flags: Read / Write

Default value: NULL

Since: 3.24